﻿Public Class Form_Options

    Private Sub Form_Options_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Text = AppTitleAndVersion() + " - Options"
        Me.DoubleBuffered = False
        Me.TopMost = True
        Me.Opacity = 1
    End Sub

    Private Sub Form_OptionsFormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Me.Hide()
        If e.CloseReason <> CloseReason.WindowsShutDown Then e.Cancel = True
    End Sub

    Private Sub Form_Options_LocationChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LocationChanged
        If Not EventsAreEnabled Then Exit Sub
        LimitFormPosition_CompletelyVisible(Me)
    End Sub

    Private Sub chk_SetID_Click(ByVal sender As System.Object, ByVal e As EventArgs) Handles chk_SetID.Click
        RS485_SetDeviceIdentifier(CInt(NumericUpDown_Enable.Value), _
                                  CInt(NumericUpDown_Address.Value), _
                                  CInt(NumericUpDown_Identifier.Value))
        RTB_Lines = Form1.RTB.Lines
        ReinitTransferLists(RTB_Lines)
        chk_SetID.Checked = False
    End Sub

End Class